Index: trunk/src/grails-app/views/personGroupType/create.gsp
===================================================================
--- trunk/src/grails-app/views/personGroupType/create.gsp	(revision 22)
+++ trunk/src/grails-app/views/personGroupType/create.gsp	(revision 35)
@@ -29,8 +29,17 @@
                             <tr class="prop">
                                 <td valign="top" class="name">
+                                    <label for="name">Name:</label>
+                                </td>
+                                <td valign="top" class="value ${hasErrors(bean:personGroupTypeInstance,field:'name','errors')}">
+                                    <input type="text" maxlength="50" id="name" name="name" value="${fieldValue(bean:personGroupTypeInstance,field:'name')}"/>
+                                </td>
+                            </tr> 
+                        
+                            <tr class="prop">
+                                <td valign="top" class="name">
                                     <label for="description">Description:</label>
                                 </td>
                                 <td valign="top" class="value ${hasErrors(bean:personGroupTypeInstance,field:'description','errors')}">
-                                    <input type="text" id="description" name="description" value="${fieldValue(bean:personGroupTypeInstance,field:'description')}"/>
+                                    <input type="text" maxlength="100" id="description" name="description" value="${fieldValue(bean:personGroupTypeInstance,field:'description')}"/>
                                 </td>
                             </tr> 
@@ -42,13 +51,4 @@
                                 <td valign="top" class="value ${hasErrors(bean:personGroupTypeInstance,field:'isActive','errors')}">
                                     <g:checkBox name="isActive" value="${personGroupTypeInstance?.isActive}" ></g:checkBox>
-                                </td>
-                            </tr> 
-                        
-                            <tr class="prop">
-                                <td valign="top" class="name">
-                                    <label for="name">Name:</label>
-                                </td>
-                                <td valign="top" class="value ${hasErrors(bean:personGroupTypeInstance,field:'name','errors')}">
-                                    <input type="text" id="name" name="name" value="${fieldValue(bean:personGroupTypeInstance,field:'name')}"/>
                                 </td>
                             </tr> 
Index: trunk/src/grails-app/views/personGroupType/edit.gsp
===================================================================
--- trunk/src/grails-app/views/personGroupType/edit.gsp	(revision 22)
+++ trunk/src/grails-app/views/personGroupType/edit.gsp	(revision 35)
@@ -31,8 +31,17 @@
                             <tr class="prop">
                                 <td valign="top" class="name">
+                                    <label for="name">Name:</label>
+                                </td>
+                                <td valign="top" class="value ${hasErrors(bean:personGroupTypeInstance,field:'name','errors')}">
+                                    <input type="text" maxlength="50" id="name" name="name" value="${fieldValue(bean:personGroupTypeInstance,field:'name')}"/>
+                                </td>
+                            </tr> 
+                        
+                            <tr class="prop">
+                                <td valign="top" class="name">
                                     <label for="description">Description:</label>
                                 </td>
                                 <td valign="top" class="value ${hasErrors(bean:personGroupTypeInstance,field:'description','errors')}">
-                                    <input type="text" id="description" name="description" value="${fieldValue(bean:personGroupTypeInstance,field:'description')}"/>
+                                    <input type="text" maxlength="100" id="description" name="description" value="${fieldValue(bean:personGroupTypeInstance,field:'description')}"/>
                                 </td>
                             </tr> 
@@ -44,13 +53,4 @@
                                 <td valign="top" class="value ${hasErrors(bean:personGroupTypeInstance,field:'isActive','errors')}">
                                     <g:checkBox name="isActive" value="${personGroupTypeInstance?.isActive}" ></g:checkBox>
-                                </td>
-                            </tr> 
-                        
-                            <tr class="prop">
-                                <td valign="top" class="name">
-                                    <label for="name">Name:</label>
-                                </td>
-                                <td valign="top" class="value ${hasErrors(bean:personGroupTypeInstance,field:'name','errors')}">
-                                    <input type="text" id="name" name="name" value="${fieldValue(bean:personGroupTypeInstance,field:'name')}"/>
                                 </td>
                             </tr> 
Index: trunk/src/grails-app/views/personGroupType/list.gsp
===================================================================
--- trunk/src/grails-app/views/personGroupType/list.gsp	(revision 22)
+++ trunk/src/grails-app/views/personGroupType/list.gsp	(revision 35)
@@ -24,9 +24,9 @@
                    	        <g:sortableColumn property="id" title="Id" />
                         
+                   	        <g:sortableColumn property="name" title="Name" />
+                        
                    	        <g:sortableColumn property="description" title="Description" />
                         
                    	        <g:sortableColumn property="isActive" title="Is Active" />
-                        
-                   	        <g:sortableColumn property="name" title="Name" />
                         
                         </tr>
@@ -38,9 +38,9 @@
                             <td><g:link action="show" id="${personGroupTypeInstance.id}">${fieldValue(bean:personGroupTypeInstance, field:'id')}</g:link></td>
                         
+                            <td>${fieldValue(bean:personGroupTypeInstance, field:'name')}</td>
+                        
                             <td>${fieldValue(bean:personGroupTypeInstance, field:'description')}</td>
                         
                             <td>${fieldValue(bean:personGroupTypeInstance, field:'isActive')}</td>
-                        
-                            <td>${fieldValue(bean:personGroupTypeInstance, field:'name')}</td>
                         
                         </tr>
Index: trunk/src/grails-app/views/personGroupType/show.gsp
===================================================================
--- trunk/src/grails-app/views/personGroupType/show.gsp	(revision 22)
+++ trunk/src/grails-app/views/personGroupType/show.gsp	(revision 35)
@@ -31,4 +31,11 @@
                     
                         <tr class="prop">
+                            <td valign="top" class="name">Name:</td>
+                            
+                            <td valign="top" class="value">${fieldValue(bean:personGroupTypeInstance, field:'name')}</td>
+                            
+                        </tr>
+                    
+                        <tr class="prop">
                             <td valign="top" class="name">Description:</td>
                             
@@ -41,11 +48,4 @@
                             
                             <td valign="top" class="value">${fieldValue(bean:personGroupTypeInstance, field:'isActive')}</td>
-                            
-                        </tr>
-                    
-                        <tr class="prop">
-                            <td valign="top" class="name">Name:</td>
-                            
-                            <td valign="top" class="value">${fieldValue(bean:personGroupTypeInstance, field:'name')}</td>
                             
                         </tr>