Index: branches/TaskRewrite/src/grails-app/views/appCore/changePassword.gsp
===================================================================
--- branches/TaskRewrite/src/grails-app/views/appCore/changePassword.gsp	(revision 73)
+++ branches/TaskRewrite/src/grails-app/views/appCore/changePassword.gsp	(revision 73)
@@ -0,0 +1,51 @@
+<head>
+	<meta name="layout" content="main" />
+	<title>Change Password</title>
+</head>
+
+<body onload="document.changePasswordForm.pass.focus();">
+	<div class="nav">
+		<span class="menuButton"><a class="home" href="${createLinkTo(dir:'')}">Home</a></span>
+    </div>
+
+	<div class="body">
+		<h1>Change Password</h1>
+		<g:if test="${flash.message}">
+		<div class="message">${flash.message}</div>
+		</g:if>
+		<g:hasErrors bean="${personInstance}">
+		<div class="errors">
+			<g:renderErrors bean="${personInstance}" as="list" />
+		</div>
+		</g:hasErrors>
+
+		<div class="prop">
+			<span class="name">ID:</span>
+			<span class="value">${personInstance.id}</span> 
+		</div>
+
+		<g:form name="changePasswordForm" id="changePasswordForm">
+            <input type="hidden" name="id" value="${personInstance?.id}" />
+			<div class="dialog">
+				<table>
+				<tbody>
+
+					<tr class="prop">
+						<td valign="top" class="name"><label for="pass">Password:</label></td>
+						<td valign="top" class="value ${hasErrors(bean:personInstance,field:'pass','errors')}">
+							<input type="password" id="pass" name="pass" />
+						</td>
+					</tr>
+
+				</tbody>
+				</table>
+			</div>
+
+			<div class="buttons">
+				<span class="button"><g:actionSubmit class="save" value="Change Password" action="changePassword"/></span>
+			</div>
+		</g:form>
+
+	</div>
+
+</body>
Index: branches/TaskRewrite/src/grails-app/views/appCore/create.gsp
===================================================================
--- branches/TaskRewrite/src/grails-app/views/appCore/create.gsp	(revision 71)
+++ 	(revision )
@@ -1,38 +1,0 @@
-
-
-<html>
-    <head>
-        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
-        <meta name="layout" content="main" />
-        <title>Create AppCore</title>         
-    </head>
-    <body>
-        <div class="nav">
-            <span class="menuButton"><a class="home" href="${createLinkTo(dir:'')}">Home</a></span>
-            <span class="menuButton"><g:link class="list" action="list">AppCore List</g:link></span>
-        </div>
-        <div class="body">
-            <h1>Create AppCore</h1>
-            <g:if test="${flash.message}">
-            <div class="message">${flash.message}</div>
-            </g:if>
-            <g:hasErrors bean="${appCoreInstance}">
-            <div class="errors">
-                <g:renderErrors bean="${appCoreInstance}" as="list" />
-            </div>
-            </g:hasErrors>
-            <g:form action="save" method="post" >
-                <div class="dialog">
-                    <table>
-                        <tbody>
-                        
-                        </tbody>
-                    </table>
-                </div>
-                <div class="buttons">
-                    <span class="button"><input class="save" type="submit" value="Create" /></span>
-                </div>
-            </g:form>
-        </div>
-    </body>
-</html>
Index: branches/TaskRewrite/src/grails-app/views/appCore/edit.gsp
===================================================================
--- branches/TaskRewrite/src/grails-app/views/appCore/edit.gsp	(revision 71)
+++ 	(revision )
@@ -1,41 +1,0 @@
-
-
-<html>
-    <head>
-        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
-        <meta name="layout" content="main" />
-        <title>Edit AppCore</title>
-    </head>
-    <body>
-        <div class="nav">
-            <span class="menuButton"><a class="home" href="${createLinkTo(dir:'')}">Home</a></span>
-            <span class="menuButton"><g:link class="list" action="list">AppCore List</g:link></span>
-            <span class="menuButton"><g:link class="create" action="create">New AppCore</g:link></span>
-        </div>
-        <div class="body">
-            <h1>Edit AppCore</h1>
-            <g:if test="${flash.message}">
-            <div class="message">${flash.message}</div>
-            </g:if>
-            <g:hasErrors bean="${appCoreInstance}">
-            <div class="errors">
-                <g:renderErrors bean="${appCoreInstance}" as="list" />
-            </div>
-            </g:hasErrors>
-            <g:form method="post" >
-                <input type="hidden" name="id" value="${appCoreInstance?.id}" />
-                <div class="dialog">
-                    <table>
-                        <tbody>
-                        
-                        </tbody>
-                    </table>
-                </div>
-                <div class="buttons">
-                    <span class="button"><g:actionSubmit class="save" value="Update" /></span>
-                    <span class="button"><g:actionSubmit class="delete" onclick="return confirm('Are you sure?');" value="Delete" /></span>
-                </div>
-            </g:form>
-        </div>
-    </body>
-</html>
Index: branches/TaskRewrite/src/grails-app/views/appCore/home.gsp
===================================================================
--- branches/TaskRewrite/src/grails-app/views/appCore/home.gsp	(revision 71)
+++ branches/TaskRewrite/src/grails-app/views/appCore/home.gsp	(revision 73)
@@ -15,7 +15,7 @@
                 <div class="message">${flash.message}</div>
             </g:if>
-            <g:hasErrors bean="${appCoreInstance}">
+            <g:hasErrors bean="${appCore}">
                 <div class="errors">
-                    <g:renderErrors bean="${appCoreInstance}" as="list" />
+                    <g:renderErrors bean="${appCore}" as="list" />
                 </div>
             </g:hasErrors>
Index: branches/TaskRewrite/src/grails-app/views/appCore/list.gsp
===================================================================
--- branches/TaskRewrite/src/grails-app/views/appCore/list.gsp	(revision 71)
+++ 	(revision )
@@ -1,44 +1,0 @@
-
-
-<html>
-    <head>
-        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
-        <meta name="layout" content="main" />
-        <title>AppCore List</title>
-    </head>
-    <body>
-        <div class="nav">
-            <span class="menuButton"><a class="home" href="${createLinkTo(dir:'')}">Home</a></span>
-            <span class="menuButton"><g:link class="create" action="create">New AppCore</g:link></span>
-        </div>
-        <div class="body">
-            <h1>AppCore List</h1>
-            <g:if test="${flash.message}">
-            <div class="message">${flash.message}</div>
-            </g:if>
-            <div class="list">
-                <table>
-                    <thead>
-                        <tr>
-                        
-                   	        <g:sortableColumn property="id" title="Id" />
-                        
-                        </tr>
-                    </thead>
-                    <tbody>
-                    <g:each in="${appCoreInstanceList}" status="i" var="appCoreInstance">
-                        <tr class="${(i % 2) == 0 ? 'odd' : 'even'}">
-                        
-                            <td><g:link action="show" id="${appCoreInstance.id}">${fieldValue(bean:appCoreInstance, field:'id')}</g:link></td>
-                        
-                        </tr>
-                    </g:each>
-                    </tbody>
-                </table>
-            </div>
-            <div class="paginateButtons">
-                <g:paginate total="${AppCore.count()}" />
-            </div>
-        </div>
-    </body>
-</html>
Index: branches/TaskRewrite/src/grails-app/views/appCore/options.gsp
===================================================================
--- branches/TaskRewrite/src/grails-app/views/appCore/options.gsp	(revision 71)
+++ branches/TaskRewrite/src/grails-app/views/appCore/options.gsp	(revision 73)
@@ -11,6 +11,10 @@
         <div class="body">
             <h1>Welcome to Options</h1>
+            <g:if test="${flash.message}">
+            <div class="message">${flash.message}</div>
+            </g:if>
             <br/>
             <div class="dialog">
+            <a href="${createLink(action:'changePassword')}">Change Password</a>
 
             </div>
Index: branches/TaskRewrite/src/grails-app/views/appCore/show.gsp
===================================================================
--- branches/TaskRewrite/src/grails-app/views/appCore/show.gsp	(revision 71)
+++ 	(revision )
@@ -1,44 +1,0 @@
-
-
-<html>
-    <head>
-        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
-        <meta name="layout" content="main" />
-        <title>Show AppCore</title>
-    </head>
-    <body>
-        <div class="nav">
-            <span class="menuButton"><a class="home" href="${createLinkTo(dir:'')}">Home</a></span>
-            <span class="menuButton"><g:link class="list" action="list">AppCore List</g:link></span>
-            <span class="menuButton"><g:link class="create" action="create">New AppCore</g:link></span>
-        </div>
-        <div class="body">
-            <h1>Show AppCore</h1>
-            <g:if test="${flash.message}">
-            <div class="message">${flash.message}</div>
-            </g:if>
-            <div class="dialog">
-                <table>
-                    <tbody>
-
-                    
-                        <tr class="prop">
-                            <td valign="top" class="name">Id:</td>
-                            
-                            <td valign="top" class="value">${fieldValue(bean:appCoreInstance, field:'id')}</td>
-                            
-                        </tr>
-                    
-                    </tbody>
-                </table>
-            </div>
-            <div class="buttons">
-                <g:form>
-                    <input type="hidden" name="id" value="${appCoreInstance?.id}" />
-                    <span class="button"><g:actionSubmit class="edit" value="Edit" /></span>
-                    <span class="button"><g:actionSubmit class="delete" onclick="return confirm('Are you sure?');" value="Delete" /></span>
-                </g:form>
-            </div>
-        </div>
-    </body>
-</html>