Index: trunk/grails-app/views/taskRecurringSchedule/list.gsp
===================================================================
--- trunk/grails-app/views/taskRecurringSchedule/list.gsp	(revision 129)
+++ trunk/grails-app/views/taskRecurringSchedule/list.gsp	(revision 131)
@@ -5,13 +5,13 @@
         <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
         <meta name="layout" content="main" />
-        <title>RecurringSchedule List</title>
+        <title>TaskRecurringSchedule List</title>
     </head>
     <body>
         <div class="nav">
             <span class="menuButton"><a class="home" href="${createLinkTo(dir:'')}">Home</a></span>
-            <span class="menuButton"><g:link class="create" action="create">New RecurringSchedule</g:link></span>
+            <span class="menuButton"><g:link class="create" action="create">New TaskRecurringSchedule</g:link></span>
         </div>
         <div class="body">
-            <h1>RecurringSchedule List</h1>
+            <h1>TaskRecurringSchedule List</h1>
             <g:if test="${flash.message}">
             <div class="message">${flash.message}</div>
@@ -24,11 +24,11 @@
                    	        <g:sortableColumn property="id" title="Id" />
                         
-                   	        <th>Planned Maintenance</th>
+                   	        <g:sortableColumn property="lastGeneratedDate" title="Last Generated Date" />
+                        
+                   	        <th>Last Generated Sub Task</th>
                    	    
-                   	        <g:sortableColumn property="lastExecutedDate" title="Last Executed Date" />
+                   	        <g:sortableColumn property="isEnabled" title="Is Enabled" />
                         
                    	        <g:sortableColumn property="nextDueDate" title="Next Due Date" />
-                        
-                   	        <g:sortableColumn property="isActive" title="Is Active" />
                         
                    	        <th>Period</th>
@@ -37,18 +37,18 @@
                     </thead>
                     <tbody>
-                    <g:each in="${recurringScheduleInstanceList}" status="i" var="recurringScheduleInstance">
+                    <g:each in="${taskRecurringScheduleInstanceList}" status="i" var="taskRecurringScheduleInstance">
                         <tr class="${(i % 2) == 0 ? 'odd' : 'even'}">
                         
-                            <td><g:link action="show" id="${recurringScheduleInstance.id}">${fieldValue(bean:recurringScheduleInstance, field:'id')}</g:link></td>
+                            <td><g:link action="show" id="${taskRecurringScheduleInstance.id}">${fieldValue(bean:taskRecurringScheduleInstance, field:'id')}</g:link></td>
                         
-                            <td>${fieldValue(bean:recurringScheduleInstance, field:'plannedMaintenance')}</td>
+                            <td>${fieldValue(bean:taskRecurringScheduleInstance, field:'lastGeneratedDate')}</td>
                         
-                            <td>${fieldValue(bean:recurringScheduleInstance, field:'lastExecutedDate')}</td>
+                            <td>${fieldValue(bean:taskRecurringScheduleInstance, field:'lastGeneratedSubTask')}</td>
                         
-                            <td>${fieldValue(bean:recurringScheduleInstance, field:'nextDueDate')}</td>
+                            <td>${fieldValue(bean:taskRecurringScheduleInstance, field:'isEnabled')}</td>
                         
-                            <td>${fieldValue(bean:recurringScheduleInstance, field:'isActive')}</td>
+                            <td>${fieldValue(bean:taskRecurringScheduleInstance, field:'nextDueDate')}</td>
                         
-                            <td>${fieldValue(bean:recurringScheduleInstance, field:'period')}</td>
+                            <td>${fieldValue(bean:taskRecurringScheduleInstance, field:'period')}</td>
                         
                         </tr>
@@ -58,5 +58,5 @@
             </div>
             <div class="paginateButtons">
-                <g:paginate total="${recurringScheduleInstanceTotal}" />
+                <g:paginate total="${taskRecurringScheduleInstanceTotal}" />
             </div>
         </div>