Index: trunk/grails-app/controllers/AssignedGroupDetailedController.groovy
===================================================================
--- trunk/grails-app/controllers/AssignedPersonDetailedController.groovy	(revision 182)
+++ trunk/grails-app/controllers/AssignedGroupDetailedController.groovy	(revision 240)
@@ -1,5 +1,5 @@
 import org.codehaus.groovy.grails.plugins.springsecurity.Secured
 
-class AssignedPersonDetailedController extends BaseController {
+class AssignedGroupDetailedController extends BaseController {
 
     def index = { redirect(action:list,params:params) }
@@ -10,33 +10,33 @@
     def list = {
         params.max = Math.min( params.max ? params.max.toInteger() : 10,  100)
-        [ assignedPersonInstanceList: AssignedPerson.list( params ), assignedPersonInstanceTotal: AssignedPerson.count() ]
+        [ assignedGroupInstanceList: AssignedGroup.list( params ), assignedGroupInstanceTotal: AssignedGroup.count() ]
     }
 
     def show = {
-        def assignedPersonInstance = AssignedPerson.get( params.id )
+        def assignedGroupInstance = AssignedGroup.get( params.id )
 
-        if(!assignedPersonInstance) {
-            flash.message = "AssignedPerson not found with id ${params.id}"
+        if(!assignedGroupInstance) {
+            flash.message = "AssignedGroup not found with id ${params.id}"
             redirect(action:list)
         }
-        else { return [ assignedPersonInstance : assignedPersonInstance ] }
+        else { return [ assignedGroupInstance : assignedGroupInstance ] }
     }
 
     def delete = {
-        def assignedPersonInstance = AssignedPerson.get( params.id )
-        if(assignedPersonInstance) {
+        def assignedGroupInstance = AssignedGroup.get( params.id )
+        if(assignedGroupInstance) {
             try {
-                def taskId = assignedPersonInstance.task.id
-                assignedPersonInstance.delete()
-                flash.message = "AssignedPerson ${params.id} deleted"
+                def taskId = assignedGroupInstance.task.id
+                assignedGroupInstance.delete()
+                flash.message = "AssignedGroup ${params.id} deleted"
                 redirect(controller:"taskDetailed", action:"show", id: taskId)
             }
             catch(org.springframework.dao.DataIntegrityViolationException e) {
-                flash.message = "AssignedPerson ${params.id} could not be deleted"
+                flash.message = "AssignedGroup ${params.id} could not be deleted"
                 redirect(action:show,id:params.id)
             }
         }
         else {
-            flash.message = "AssignedPerson not found with id ${params.id}"
+            flash.message = "AssignedGroup not found with id ${params.id}"
             redirect(action:list)
         }
@@ -44,38 +44,38 @@
 
     def edit = {
-        def assignedPersonInstance = AssignedPerson.get( params.id )
+        def assignedGroupInstance = AssignedGroup.get( params.id )
 
-        if(!assignedPersonInstance) {
-            flash.message = "AssignedPerson not found with id ${params.id}"
+        if(!assignedGroupInstance) {
+            flash.message = "AssignedGroup not found with id ${params.id}"
             redirect(action:list)
         }
         else {
-            return [ assignedPersonInstance : assignedPersonInstance ]
+            return [ assignedGroupInstance : assignedGroupInstance ]
         }
     }
 
     def update = {
-        def assignedPersonInstance = AssignedPerson.get( params.id )
-        if(assignedPersonInstance) {
+        def assignedGroupInstance = AssignedGroup.get( params.id )
+        if(assignedGroupInstance) {
             if(params.version) {
                 def version = params.version.toLong()
-                if(assignedPersonInstance.version > version) {
+                if(assignedGroupInstance.version > version) {
 
-                    assignedPersonInstance.errors.rejectValue("version", "assignedPerson.optimistic.locking.failure", "Another user has updated this AssignedPerson while you were editing.")
-                    render(view:'edit',model:[assignedPersonInstance:assignedPersonInstance])
+                    assignedGroupInstance.errors.rejectValue("version", "assignedGroup.optimistic.locking.failure", "Another user has updated this AssignedGroup while you were editing.")
+                    render(view:'edit',model:[assignedGroupInstance:assignedGroupInstance])
                     return
                 }
             }
-            assignedPersonInstance.properties = params
-            if(!assignedPersonInstance.hasErrors() && assignedPersonInstance.save(flush: true)) {
-                flash.message = "AssignedPerson ${params.id} updated"
-                redirect(action:show,id:assignedPersonInstance.id)
+            assignedGroupInstance.properties = params
+            if(!assignedGroupInstance.hasErrors() && assignedGroupInstance.save(flush: true)) {
+                flash.message = "AssignedGroup ${params.id} updated"
+                redirect(action:show,id:assignedGroupInstance.id)
             }
             else {
-                render(view:'edit',model:[assignedPersonInstance:assignedPersonInstance])
+                render(view:'edit',model:[assignedGroupInstance:assignedGroupInstance])
             }
         }
         else {
-            flash.message = "AssignedPerson not found with id ${params.id}"
+            flash.message = "AssignedGroup not found with id ${params.id}"
             redirect(action:edit,id:params.id)
         }
@@ -84,23 +84,23 @@
     def create = {
         if(!params.task?.id) {
-            flash.message = "Please select a task and then 'Add Assigned Person'"
-            redirect(controller: "taskDetailed", action: search)
+            flash.message = "Please select a task and then 'Add Assigned Group'"
+            redirect(controller: "taskDetailed", action: "search")
         }
         else {
-            def assignedPersonInstance = new AssignedPerson()
-            assignedPersonInstance.properties = params
-            return ['assignedPersonInstance':assignedPersonInstance]
+            def assignedGroupInstance = new AssignedGroup()
+            assignedGroupInstance.properties = params
+            return ['assignedGroupInstance':assignedGroupInstance]
         }
     }
 
     def save = {
-        def assignedPersonInstance = new AssignedPerson(params)
+        def assignedGroupInstance = new AssignedGroup(params)
 
-        if(!assignedPersonInstance.hasErrors() && assignedPersonInstance.save(flush: true)) {
-            flash.message = "AssignedPerson ${assignedPersonInstance.id} created"
+        if(!assignedGroupInstance.hasErrors() && assignedGroupInstance.save(flush: true)) {
+            flash.message = "AssignedGroup ${assignedGroupInstance.id} created"
             redirect(controller:"taskDetailed", action:"show", id: params.task.id)
         }
         else {
-            render(view:'create',model:[assignedPersonInstance:assignedPersonInstance])
+            render(view:'create',model:[assignedGroupInstance:assignedGroupInstance])
         }
     }