Index: trunk/grails-app/views/extendedAttributeType/create.gsp
===================================================================
--- trunk/grails-app/views/extendedAttributeType/create.gsp	(revision 267)
+++ trunk/grails-app/views/extendedAttributeType/create.gsp	(revision 268)
@@ -5,18 +5,18 @@
         <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
         <meta name="layout" content="main" />
-        <title>Create AssetExtendedAttributeType</title>
+        <title>Create ExtendedAttributeType</title>
     </head>
     <body>
         <div class="nav">
-            <span class="menuButton"><g:link class="list" action="list">AssetExtendedAttributeType List</g:link></span>
+            <span class="menuButton"><g:link class="list" action="list">ExtendedAttributeType List</g:link></span>
         </div>
         <div class="body">
-            <h1>Create AssetExtendedAttributeType</h1>
+            <h1>Create ExtendedAttributeType</h1>
             <g:if test="${flash.message}">
             <div class="message">${flash.message}</div>
             </g:if>
-            <g:hasErrors bean="${assetExtendedAttributeTypeInstance}">
+            <g:hasErrors bean="${extendedAttributeTypeInstance}">
             <div class="errors">
-                <g:renderErrors bean="${assetExtendedAttributeTypeInstance}" as="list" />
+                <g:renderErrors bean="${extendedAttributeTypeInstance}" as="list" />
             </div>
             </g:hasErrors>
@@ -28,8 +28,17 @@
                             <tr class="prop">
                                 <td valign="top" class="name">
+                                    <label for="name">Name:</label>
+                                </td>
+                                <td valign="top" class="value ${hasErrors(bean:extendedAttributeTypeInstance,field:'name','errors')}">
+                                    <input type="text" maxlength="50" id="name" name="name" value="${fieldValue(bean:extendedAttributeTypeInstance,field:'name')}"/>
+                                </td>
+                            </tr> 
+                        
+                            <tr class="prop">
+                                <td valign="top" class="name">
                                     <label for="description">Description:</label>
                                 </td>
-                                <td valign="top" class="value ${hasErrors(bean:assetExtendedAttributeTypeInstance,field:'description','errors')}">
-                                    <input type="text" id="description" name="description" value="${fieldValue(bean:assetExtendedAttributeTypeInstance,field:'description')}"/>
+                                <td valign="top" class="value ${hasErrors(bean:extendedAttributeTypeInstance,field:'description','errors')}">
+                                    <input type="text" maxlength="100" id="description" name="description" value="${fieldValue(bean:extendedAttributeTypeInstance,field:'description')}"/>
                                 </td>
                             </tr> 
@@ -39,15 +48,6 @@
                                     <label for="isActive">Is Active:</label>
                                 </td>
-                                <td valign="top" class="value ${hasErrors(bean:assetExtendedAttributeTypeInstance,field:'isActive','errors')}">
-                                    <g:checkBox name="isActive" value="${assetExtendedAttributeTypeInstance?.isActive}" ></g:checkBox>
-                                </td>
-                            </tr> 
-                        
-                            <tr class="prop">
-                                <td valign="top" class="name">
-                                    <label for="name">Name:</label>
-                                </td>
-                                <td valign="top" class="value ${hasErrors(bean:assetExtendedAttributeTypeInstance,field:'name','errors')}">
-                                    <input type="text" id="name" name="name" value="${fieldValue(bean:assetExtendedAttributeTypeInstance,field:'name')}"/>
+                                <td valign="top" class="value ${hasErrors(bean:extendedAttributeTypeInstance,field:'isActive','errors')}">
+                                    <g:checkBox name="isActive" value="${extendedAttributeTypeInstance?.isActive}" ></g:checkBox>
                                 </td>
                             </tr> 
Index: trunk/grails-app/views/extendedAttributeType/edit.gsp
===================================================================
--- trunk/grails-app/views/extendedAttributeType/edit.gsp	(revision 267)
+++ trunk/grails-app/views/extendedAttributeType/edit.gsp	(revision 268)
@@ -5,24 +5,24 @@
         <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
         <meta name="layout" content="main" />
-        <title>Edit AssetExtendedAttributeType</title>
+        <title>Edit ExtendedAttributeType</title>
     </head>
     <body>
         <div class="nav">
-            <span class="menuButton"><g:link class="list" action="list">AssetExtendedAttributeType List</g:link></span>
-            <span class="menuButton"><g:link class="create" action="create">New AssetExtendedAttributeType</g:link></span>
+            <span class="menuButton"><g:link class="list" action="list">ExtendedAttributeType List</g:link></span>
+            <span class="menuButton"><g:link class="create" action="create">New ExtendedAttributeType</g:link></span>
         </div>
         <div class="body">
-            <h1>Edit AssetExtendedAttributeType</h1>
+            <h1>Edit ExtendedAttributeType</h1>
             <g:if test="${flash.message}">
             <div class="message">${flash.message}</div>
             </g:if>
-            <g:hasErrors bean="${assetExtendedAttributeTypeInstance}">
+            <g:hasErrors bean="${extendedAttributeTypeInstance}">
             <div class="errors">
-                <g:renderErrors bean="${assetExtendedAttributeTypeInstance}" as="list" />
+                <g:renderErrors bean="${extendedAttributeTypeInstance}" as="list" />
             </div>
             </g:hasErrors>
             <g:form method="post" >
-                <input type="hidden" name="id" value="${assetExtendedAttributeTypeInstance?.id}" />
-                <input type="hidden" name="version" value="${assetExtendedAttributeTypeInstance?.version}" />
+                <input type="hidden" name="id" value="${extendedAttributeTypeInstance?.id}" />
+                <input type="hidden" name="version" value="${extendedAttributeTypeInstance?.version}" />
                 <div class="dialog">
                     <table>
@@ -31,15 +31,8 @@
                             <tr class="prop">
                                 <td valign="top" class="name">
-                                    <label for="assetExtendedAttributes">Asset Extended Attributes:</label>
+                                    <label for="name">Name:</label>
                                 </td>
-                                <td valign="top" class="value ${hasErrors(bean:assetExtendedAttributeTypeInstance,field:'assetExtendedAttributes','errors')}">
-                                    
-<ul>
-<g:each var="a" in="${assetExtendedAttributeTypeInstance?.assetExtendedAttributes?}">
-    <li><g:link controller="assetExtendedAttribute" action="show" id="${a.id}">${a?.encodeAsHTML()}</g:link></li>
-</g:each>
-</ul>
-<g:link controller="assetExtendedAttribute" params="['assetExtendedAttributeType.id':assetExtendedAttributeTypeInstance?.id]" action="create">Add AssetExtendedAttribute</g:link>
-
+                                <td valign="top" class="value ${hasErrors(bean:extendedAttributeTypeInstance,field:'name','errors')}">
+                                    <input type="text" maxlength="50" id="name" name="name" value="${fieldValue(bean:extendedAttributeTypeInstance,field:'name')}"/>
                                 </td>
                             </tr> 
@@ -49,6 +42,6 @@
                                     <label for="description">Description:</label>
                                 </td>
-                                <td valign="top" class="value ${hasErrors(bean:assetExtendedAttributeTypeInstance,field:'description','errors')}">
-                                    <input type="text" id="description" name="description" value="${fieldValue(bean:assetExtendedAttributeTypeInstance,field:'description')}"/>
+                                <td valign="top" class="value ${hasErrors(bean:extendedAttributeTypeInstance,field:'description','errors')}">
+                                    <input type="text" maxlength="100" id="description" name="description" value="${fieldValue(bean:extendedAttributeTypeInstance,field:'description')}"/>
                                 </td>
                             </tr> 
@@ -58,15 +51,6 @@
                                     <label for="isActive">Is Active:</label>
                                 </td>
-                                <td valign="top" class="value ${hasErrors(bean:assetExtendedAttributeTypeInstance,field:'isActive','errors')}">
-                                    <g:checkBox name="isActive" value="${assetExtendedAttributeTypeInstance?.isActive}" ></g:checkBox>
-                                </td>
-                            </tr> 
-                        
-                            <tr class="prop">
-                                <td valign="top" class="name">
-                                    <label for="name">Name:</label>
-                                </td>
-                                <td valign="top" class="value ${hasErrors(bean:assetExtendedAttributeTypeInstance,field:'name','errors')}">
-                                    <input type="text" id="name" name="name" value="${fieldValue(bean:assetExtendedAttributeTypeInstance,field:'name')}"/>
+                                <td valign="top" class="value ${hasErrors(bean:extendedAttributeTypeInstance,field:'isActive','errors')}">
+                                    <g:checkBox name="isActive" value="${extendedAttributeTypeInstance?.isActive}" ></g:checkBox>
                                 </td>
                             </tr> 
Index: trunk/grails-app/views/extendedAttributeType/list.gsp
===================================================================
--- trunk/grails-app/views/extendedAttributeType/list.gsp	(revision 267)
+++ trunk/grails-app/views/extendedAttributeType/list.gsp	(revision 268)
@@ -5,12 +5,12 @@
         <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
         <meta name="layout" content="main" />
-        <title>AssetExtendedAttributeType List</title>
+        <title>ExtendedAttributeType List</title>
     </head>
     <body>
         <div class="nav">
-            <span class="menuButton"><g:link class="create" action="create">New AssetExtendedAttributeType</g:link></span>
+            <span class="menuButton"><g:link class="create" action="create">New ExtendedAttributeType</g:link></span>
         </div>
         <div class="body">
-            <h1>AssetExtendedAttributeType List</h1>
+            <h1>ExtendedAttributeType List</h1>
             <g:if test="${flash.message}">
             <div class="message">${flash.message}</div>
@@ -23,23 +23,23 @@
                    	        <g:sortableColumn property="id" title="Id" />
                         
+                   	        <g:sortableColumn property="name" title="Name" />
+                        
                    	        <g:sortableColumn property="description" title="Description" />
                         
                    	        <g:sortableColumn property="isActive" title="Is Active" />
                         
-                   	        <g:sortableColumn property="name" title="Name" />
-                        
                         </tr>
                     </thead>
                     <tbody>
-                    <g:each in="${assetExtendedAttributeTypeInstanceList}" status="i" var="assetExtendedAttributeTypeInstance">
+                    <g:each in="${extendedAttributeTypeInstanceList}" status="i" var="extendedAttributeTypeInstance">
                         <tr class="${(i % 2) == 0 ? 'odd' : 'even'}">
                         
-                            <td><g:link action="show" id="${assetExtendedAttributeTypeInstance.id}">${fieldValue(bean:assetExtendedAttributeTypeInstance, field:'id')}</g:link></td>
+                            <td><g:link action="show" id="${extendedAttributeTypeInstance.id}">${fieldValue(bean:extendedAttributeTypeInstance, field:'id')}</g:link></td>
                         
-                            <td>${fieldValue(bean:assetExtendedAttributeTypeInstance, field:'description')}</td>
+                            <td>${fieldValue(bean:extendedAttributeTypeInstance, field:'name')}</td>
                         
-                            <td>${fieldValue(bean:assetExtendedAttributeTypeInstance, field:'isActive')}</td>
+                            <td>${fieldValue(bean:extendedAttributeTypeInstance, field:'description')}</td>
                         
-                            <td>${fieldValue(bean:assetExtendedAttributeTypeInstance, field:'name')}</td>
+                            <td>${fieldValue(bean:extendedAttributeTypeInstance, field:'isActive')}</td>
                         
                         </tr>
@@ -49,5 +49,5 @@
             </div>
             <div class="paginateButtons">
-                <g:paginate total="${assetExtendedAttributeTypeInstanceTotal}" />
+                <g:paginate total="${extendedAttributeTypeInstanceTotal}" />
             </div>
         </div>
Index: trunk/grails-app/views/extendedAttributeType/show.gsp
===================================================================
--- trunk/grails-app/views/extendedAttributeType/show.gsp	(revision 267)
+++ trunk/grails-app/views/extendedAttributeType/show.gsp	(revision 268)
@@ -5,13 +5,13 @@
         <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
         <meta name="layout" content="main" />
-        <title>Show AssetExtendedAttributeType</title>
+        <title>Show ExtendedAttributeType</title>
     </head>
     <body>
         <div class="nav">
-            <span class="menuButton"><g:link class="list" action="list">AssetExtendedAttributeType List</g:link></span>
-            <span class="menuButton"><g:link class="create" action="create">New AssetExtendedAttributeType</g:link></span>
+            <span class="menuButton"><g:link class="list" action="list">ExtendedAttributeType List</g:link></span>
+            <span class="menuButton"><g:link class="create" action="create">New ExtendedAttributeType</g:link></span>
         </div>
         <div class="body">
-            <h1>Show AssetExtendedAttributeType</h1>
+            <h1>Show ExtendedAttributeType</h1>
             <g:if test="${flash.message}">
             <div class="message">${flash.message}</div>
@@ -25,18 +25,12 @@
                             <td valign="top" class="name">Id:</td>
                             
-                            <td valign="top" class="value">${fieldValue(bean:assetExtendedAttributeTypeInstance, field:'id')}</td>
+                            <td valign="top" class="value">${fieldValue(bean:extendedAttributeTypeInstance, field:'id')}</td>
                             
                         </tr>
                     
                         <tr class="prop">
-                            <td valign="top" class="name">Asset Extended Attributes:</td>
+                            <td valign="top" class="name">Name:</td>
                             
-                            <td  valign="top" style="text-align:left;" class="value">
-                                <ul>
-                                <g:each var="a" in="${assetExtendedAttributeTypeInstance.assetExtendedAttributes}">
-                                    <li><g:link controller="assetExtendedAttribute" action="show" id="${a.id}">${a?.encodeAsHTML()}</g:link></li>
-                                </g:each>
-                                </ul>
-                            </td>
+                            <td valign="top" class="value">${fieldValue(bean:extendedAttributeTypeInstance, field:'name')}</td>
                             
                         </tr>
@@ -45,5 +39,5 @@
                             <td valign="top" class="name">Description:</td>
                             
-                            <td valign="top" class="value">${fieldValue(bean:assetExtendedAttributeTypeInstance, field:'description')}</td>
+                            <td valign="top" class="value">${fieldValue(bean:extendedAttributeTypeInstance, field:'description')}</td>
                             
                         </tr>
@@ -52,12 +46,5 @@
                             <td valign="top" class="name">Is Active:</td>
                             
-                            <td valign="top" class="value">${fieldValue(bean:assetExtendedAttributeTypeInstance, field:'isActive')}</td>
-                            
-                        </tr>
-                    
-                        <tr class="prop">
-                            <td valign="top" class="name">Name:</td>
-                            
-                            <td valign="top" class="value">${fieldValue(bean:assetExtendedAttributeTypeInstance, field:'name')}</td>
+                            <td valign="top" class="value">${fieldValue(bean:extendedAttributeTypeInstance, field:'isActive')}</td>
                             
                         </tr>
@@ -68,5 +55,5 @@
             <div class="buttons">
                 <g:form>
-                    <input type="hidden" name="id" value="${assetExtendedAttributeTypeInstance?.id}" />
+                    <input type="hidden" name="id" value="${extendedAttributeTypeInstance?.id}" />
                     <span class="button"><g:actionSubmit class="edit" value="Edit" /></span>
                     <span class="button"><g:actionSubmit class="delete" onclick="return confirm('Are you sure?');" value="Delete" /></span>