Index: trunk/grails-app/services/CreateDataService.groovy
===================================================================
--- trunk/grails-app/services/CreateDataService.groovy	(revision 298)
+++ trunk/grails-app/services/CreateDataService.groovy	(revision 314)
@@ -378,11 +378,14 @@
         def siteInstance
 
-        siteInstance = new Site(name: "Creek Mill")
+        siteInstance = new Site(name: "Creek Mill",
+                                                    description: "Creek Side Mill")
         saveAndTest(siteInstance)
 
-        siteInstance = new Site(name: "Jasper Street Depot")
+        siteInstance = new Site(name: "Jasper Street Depot",
+                                                    description: "Storage depot on Jasper Street.")
         saveAndTest(siteInstance)
 
-        siteInstance = new Site(name: "River Press")
+        siteInstance = new Site(name: "River Press",
+                                                    description: "Printing press site")
         saveAndTest(siteInstance)
     }
@@ -395,10 +398,12 @@
         //Department #1
         departmentInstance = new Department(name: "Print Centre",
-                                                                                    site: Site.get(1))
+                                                                                description: "Printing Department",
+                                                                                site: Site.get(1))
         saveAndTest(departmentInstance)
 
         //Department #2
-        departmentInstance = new Department(name: "Pulp Mill 2",
-                                                                                    site: Site.get(2))
+        departmentInstance = new Department(name: "Pulp Mill 2",,
+                                                                                description: "Business department",
+                                                                                site: Site.get(2))
         saveAndTest(departmentInstance)
     }
@@ -657,5 +662,5 @@
                 taskType:TaskType.get(1),
                 leadPerson:Person.get(5),
-                description:"A Sub Task can be created by setting the Parent Task value",
+                description:"A Sub Task can be created from the Sub Task's tab.",
                 comment:"Some help required",
                 targetStartDate: dateUtilService.yesterday,
@@ -1102,19 +1107,22 @@
 
         //Section #1
-        sectionInstance = new Section(name: "Press Section",
-                                                                                    site: Site.get(3),
-                                                                                    department: Department.get(1))
+        sectionInstance = new Section(name: "Press",
+                                                                description: "Press Section",
+                                                                site: Site.get(3),
+                                                                department: Department.get(1))
         saveAndTest(sectionInstance)
 
         //Section #2
-        sectionInstance = new Section(name: "RO System",
-                                                                                    site: Site.get(1),
-                                                                                    department: Department.get(2))
+        sectionInstance = new Section(name: "Delignification",
+                                                                description: "Pulp Delignification",
+                                                                site: Site.get(1),
+                                                                department: Department.get(2))
         saveAndTest(sectionInstance)
 
         //Section #3
-        sectionInstance = new Section(name: "Auxiliary Section",
-                                                                                    site: Site.get(1),
-                                                                                    department: Department.get(1))
+        sectionInstance = new Section(name: "Auxiliary",
+                                                                description: "Auxilliary Section",
+                                                                site: Site.get(1),
+                                                                department: Department.get(1))
         saveAndTest(sectionInstance)
     }
@@ -1127,5 +1135,6 @@
         //Asset #1
         def assetInstance1 = new Asset(name: "Print Tower 22",
-                                                            section: Section.get(1))
+                                                                description: "Complete Printing Asset #22",
+                                                                section: Section.get(1))
         saveAndTest(assetInstance1)
 //        assetInstance.addToMaintenanceActions(MaintenanceAction.get(1))
@@ -1133,15 +1142,18 @@
         //Asset #2
         def assetInstance2 = new Asset(name: "Print Tower 21",
-                                                            section: Section.get(1))
+                                                                description: "Complete Printing Asset #21",
+                                                                section: Section.get(1))
         saveAndTest(assetInstance2)
 
         //Asset #3
         def assetInstance3 = new Asset(name: "Print Tower 23",
-                                                            section: Section.get(1))
+                                                                description: "Complete Printing Asset #23",
+                                                                section: Section.get(1))
         saveAndTest(assetInstance3)
 
         //Asset #4
         def assetInstance4 = new Asset(name: "RO 1",
-                                                            section: Section.get(2))
+                                                                description: "RO #1",
+                                                                section: Section.get(2))
         saveAndTest(assetInstance4)
 
@@ -1150,5 +1162,6 @@
 
         //AssetSubItem #1 Level1
-        def assetSubItemInstance1 = new AssetSubItem(name: "Print Tower")
+        def assetSubItemInstance1 = new AssetSubItem(name: "Print Tower",
+                                                                                            description: "Common sub asset.")
         saveAndTest(assetSubItemInstance1)
 
@@ -1159,5 +1172,6 @@
 
         //AssetSubItem #2 Level1
-        def assetSubItemInstance2 = new AssetSubItem(name: "Reactor Tower")
+        def assetSubItemInstance2 = new AssetSubItem(name: "Reactor Tower",
+                                                                                            description: "Unique sub asset.")
         saveAndTest(assetSubItemInstance2)
 
@@ -1166,5 +1180,6 @@
 
         //AssetSubItem #3 Level1
-        def assetSubItemInstance3 = new AssetSubItem(name: "Blower Tower")
+        def assetSubItemInstance3 = new AssetSubItem(name: "Blower Tower",
+                                                                                            description: "Unique sub asset.")
         saveAndTest(assetSubItemInstance3)
 
@@ -1173,35 +1188,42 @@
 
         //AssetSubItem #4 Level2
-        assetSubItemInstance = new AssetSubItem(name: "Print Unit Upper",
-                                                                                parentItem: AssetSubItem.get(1))
+        assetSubItemInstance = new AssetSubItem(name: "Print Unit",
+                                                                                    description: "Print Unit - Common Level 2 sub item.",
+                                                                                    parentItem: AssetSubItem.get(1))
         saveAndTest(assetSubItemInstance)
 
-        //AssetSubItem #5 Level3
+        //AssetSubItem #5 Level2
         assetSubItemInstance = new AssetSubItem(name: "Agitator",
-                                                                                parentItem: AssetSubItem.get(2))
+                                                                                    description: "Agitator - Level 2 sub item",
+                                                                                    parentItem: AssetSubItem.get(2))
         saveAndTest(assetSubItemInstance)
 
         //AssetSubItem #6 Level2
         assetSubItemInstance = new AssetSubItem(name: "Scraper",
-                                                                                parentItem: AssetSubItem.get(3))
+                                                                                    description: "Scraper - Level 2 sub item.",
+                                                                                    parentItem: AssetSubItem.get(3))
         saveAndTest(assetSubItemInstance)
 
         //AssetSubItem #7 Level3
         assetSubItemInstance = new AssetSubItem(name: "Motor",
-                                                                                parentItem: AssetSubItem.get(5))
+                                                                                    description: "Motor - Level 3 sub item",
+                                                                                    parentItem: AssetSubItem.get(5))
         saveAndTest(assetSubItemInstance)
 
         //AssetSubItem #8 Level3
         assetSubItemInstance = new AssetSubItem(name: "Gearbox",
-                                                                                parentItem: AssetSubItem.get(5))
+                                                                                    description: "Gearbox - Level 3 sub item, gearbox",
+                                                                                    parentItem: AssetSubItem.get(5))
         saveAndTest(assetSubItemInstance)
 
         //AssetSubItem #9 Level4
         assetSubItemInstance = new AssetSubItem(name: "DS Bearing",
-                                                                                parentItem: AssetSubItem.get(7))
+                                                                                    description: "Drive Side Bearing",
+                                                                                    parentItem: AssetSubItem.get(7))
         saveAndTest(assetSubItemInstance)
 
         //AssetSubItem #10 Level4
         assetSubItemInstance = new AssetSubItem(name: "NDS Bearing",
+                                                                                    description: "Non Drive Side Bearing",
                                                                                 parentItem: AssetSubItem.get(7))
         saveAndTest(assetSubItemInstance)