Index: trunk/grails-app/views/supplierTypeDetailed/create.gsp
===================================================================
--- trunk/grails-app/views/supplierType/create.gsp	(revision 178)
+++ trunk/grails-app/views/supplierTypeDetailed/create.gsp	(revision 383)
@@ -6,11 +6,11 @@
         <meta name="layout" content="main" />
         <title>Create SupplierType</title>
+        <nav:resources override="true"/>
     </head>
     <body>
         <div class="nav">
-            <span class="menuButton"><g:link class="list" action="list">SupplierType List</g:link></span>
+            <nav:renderSubItems group="navAlt"/>
         </div>
         <div class="body">
-            <h1>Create SupplierType</h1>
             <g:if test="${flash.message}">
             <div class="message">${flash.message}</div>
@@ -25,4 +25,13 @@
                     <table>
                         <tbody>
+                        
+                            <tr class="prop">
+                                <td valign="top" class="name">
+                                    <label for="name">Name:</label>
+                                </td>
+                                <td valign="top" class="value ${hasErrors(bean:supplierTypeInstance,field:'name','errors')}">
+                                    <input type="text" id="name" name="name" value="${fieldValue(bean:supplierTypeInstance,field:'name')}"/>
+                                </td>
+                            </tr> 
                         
                             <tr class="prop">
@@ -44,13 +53,4 @@
                             </tr> 
                         
-                            <tr class="prop">
-                                <td valign="top" class="name">
-                                    <label for="name">Name:</label>
-                                </td>
-                                <td valign="top" class="value ${hasErrors(bean:supplierTypeInstance,field:'name','errors')}">
-                                    <input type="text" id="name" name="name" value="${fieldValue(bean:supplierTypeInstance,field:'name')}"/>
-                                </td>
-                            </tr> 
-                        
                         </tbody>
                     </table>
Index: trunk/grails-app/views/supplierTypeDetailed/edit.gsp
===================================================================
--- trunk/grails-app/views/supplierType/edit.gsp	(revision 178)
+++ trunk/grails-app/views/supplierTypeDetailed/edit.gsp	(revision 383)
@@ -6,12 +6,11 @@
         <meta name="layout" content="main" />
         <title>Edit SupplierType</title>
+        <nav:resources override="true"/>
     </head>
     <body>
         <div class="nav">
-            <span class="menuButton"><g:link class="list" action="list">SupplierType List</g:link></span>
-            <span class="menuButton"><g:link class="create" action="create">New SupplierType</g:link></span>
+            <nav:renderSubItems group="navAlt"/>
         </div>
         <div class="body">
-            <h1>Edit SupplierType</h1>
             <g:if test="${flash.message}">
             <div class="message">${flash.message}</div>
@@ -28,4 +27,13 @@
                     <table>
                         <tbody>
+                        
+                            <tr class="prop">
+                                <td valign="top" class="name">
+                                    <label for="name">Name:</label>
+                                </td>
+                                <td valign="top" class="value ${hasErrors(bean:supplierTypeInstance,field:'name','errors')}">
+                                    <input type="text" id="name" name="name" value="${fieldValue(bean:supplierTypeInstance,field:'name')}"/>
+                                </td>
+                            </tr> 
                         
                             <tr class="prop">
@@ -49,13 +57,4 @@
                             <tr class="prop">
                                 <td valign="top" class="name">
-                                    <label for="name">Name:</label>
-                                </td>
-                                <td valign="top" class="value ${hasErrors(bean:supplierTypeInstance,field:'name','errors')}">
-                                    <input type="text" id="name" name="name" value="${fieldValue(bean:supplierTypeInstance,field:'name')}"/>
-                                </td>
-                            </tr> 
-                        
-                            <tr class="prop">
-                                <td valign="top" class="name">
                                     <label for="suppliers">Suppliers:</label>
                                 </td>
@@ -64,8 +63,8 @@
 <ul>
 <g:each var="s" in="${supplierTypeInstance?.suppliers?}">
-    <li><g:link controller="supplier" action="show" id="${s.id}">${s?.encodeAsHTML()}</g:link></li>
+    <li><g:link controller="supplierDetailed" action="show" id="${s.id}">${s?.encodeAsHTML()}</g:link></li>
 </g:each>
 </ul>
-<g:link controller="supplier" params="['supplierType.id':supplierTypeInstance?.id]" action="create">Add Supplier</g:link>
+<g:link controller="supplierDetailed" params="['supplierType.id':supplierTypeInstance?.id]" action="create">Add Supplier</g:link>
 
                                 </td>
@@ -77,4 +76,5 @@
                 <div class="buttons">
                     <span class="button"><g:actionSubmit class="save" value="Update" /></span>
+                    <span class="button"><g:actionSubmit class="cancel" value="Cancel" action="Show"/></span>
                     <span class="button"><g:actionSubmit class="delete" onclick="return confirm('Are you sure?');" value="Delete" /></span>
                 </div>
Index: trunk/grails-app/views/supplierTypeDetailed/list.gsp
===================================================================
--- trunk/grails-app/views/supplierType/list.gsp	(revision 178)
+++ trunk/grails-app/views/supplierTypeDetailed/list.gsp	(revision 383)
@@ -6,11 +6,11 @@
         <meta name="layout" content="main" />
         <title>SupplierType List</title>
+        <nav:resources override="true"/>
     </head>
     <body>
         <div class="nav">
-            <span class="menuButton"><g:link class="create" action="create">New SupplierType</g:link></span>
+            <nav:renderSubItems group="navAlt"/>
         </div>
         <div class="body">
-            <h1>SupplierType List</h1>
             <g:if test="${flash.message}">
             <div class="message">${flash.message}</div>
@@ -21,11 +21,13 @@
                         <tr>
                         
-                   	        <g:sortableColumn property="id" title="Id" />
-                        
-                   	        <g:sortableColumn property="description" title="Description" />
-                        
-                   	        <g:sortableColumn property="isActive" title="Is Active" />
-                        
-                   	        <g:sortableColumn property="name" title="Name" />
+                            <g:sortableColumn property="id" title="Id" />
+
+                            <g:sortableColumn property="name" title="Name" />
+
+                            <g:sortableColumn property="description" title="Description" />
+
+                            <g:sortableColumn property="isActive" title="Is Active" />
+
+                            <th></th>
                         
                         </tr>
@@ -33,13 +35,19 @@
                     <tbody>
                     <g:each in="${supplierTypeInstanceList}" status="i" var="supplierTypeInstance">
-                        <tr class="${(i % 2) == 0 ? 'odd' : 'even'}">
+                        <tr class="${(i % 2) == 0 ? 'clickableOdd' : 'clickableEven'}" onclick='window.location = "${request.getContextPath()}/supplierTypeDetailed/show/${supplierTypeInstance.id}"'/>
+
+                            <td>${fieldValue(bean:supplierTypeInstance, field:'id')}</td>
                         
-                            <td><g:link action="show" id="${supplierTypeInstance.id}">${fieldValue(bean:supplierTypeInstance, field:'id')}</g:link></td>
+                            <td>${fieldValue(bean:supplierTypeInstance, field:'name')}</td>
                         
                             <td>${fieldValue(bean:supplierTypeInstance, field:'description')}</td>
                         
                             <td>${fieldValue(bean:supplierTypeInstance, field:'isActive')}</td>
-                        
-                            <td>${fieldValue(bean:supplierTypeInstance, field:'name')}</td>
+                            
+                            <td>
+                                <g:link action="show" id="${supplierTypeInstance.id}">
+                                    <img  src="${resource(dir:'images/skin',file:'database_go.png')}" alt="Show" />
+                                </g:link>
+                            </td>
                         
                         </tr>
Index: trunk/grails-app/views/supplierTypeDetailed/show.gsp
===================================================================
--- trunk/grails-app/views/supplierType/show.gsp	(revision 178)
+++ trunk/grails-app/views/supplierTypeDetailed/show.gsp	(revision 383)
@@ -6,12 +6,11 @@
         <meta name="layout" content="main" />
         <title>Show SupplierType</title>
+        <nav:resources override="true"/>
     </head>
     <body>
         <div class="nav">
-            <span class="menuButton"><g:link class="list" action="list">SupplierType List</g:link></span>
-            <span class="menuButton"><g:link class="create" action="create">New SupplierType</g:link></span>
+            <nav:renderSubItems group="navAlt"/>
         </div>
         <div class="body">
-            <h1>Show SupplierType</h1>
             <g:if test="${flash.message}">
             <div class="message">${flash.message}</div>
@@ -26,4 +25,11 @@
                             
                             <td valign="top" class="value">${fieldValue(bean:supplierTypeInstance, field:'id')}</td>
+                            
+                        </tr>
+                    
+                        <tr class="prop">
+                            <td valign="top" class="name">Name:</td>
+                            
+                            <td valign="top" class="value">${fieldValue(bean:supplierTypeInstance, field:'name')}</td>
                             
                         </tr>
@@ -44,11 +50,4 @@
                     
                         <tr class="prop">
-                            <td valign="top" class="name">Name:</td>
-                            
-                            <td valign="top" class="value">${fieldValue(bean:supplierTypeInstance, field:'name')}</td>
-                            
-                        </tr>
-                    
-                        <tr class="prop">
                             <td valign="top" class="name">Suppliers:</td>
                             
@@ -56,5 +55,5 @@
                                 <ul>
                                 <g:each var="s" in="${supplierTypeInstance.suppliers}">
-                                    <li><g:link controller="supplier" action="show" id="${s.id}">${s?.encodeAsHTML()}</g:link></li>
+                                    <li><g:link controller="supplierDetailed" action="show" id="${s.id}">${s?.encodeAsHTML()}</g:link></li>
                                 </g:each>
                                 </ul>