Index: trunk/web-app/reports/assetRegister.jrxml
===================================================================
--- trunk/web-app/reports/assetRegister.jrxml	(revision 652)
+++ trunk/web-app/reports/assetRegister.jrxml	(revision 653)
@@ -5,5 +5,5 @@
 	<property name="ireport.zoom" value="1.5"/>
 	<property name="ireport.x" value="15"/>
-	<property name="ireport.y" value="480"/>
+	<property name="ireport.y" value="0"/>
 	<import value="net.sf.jasperreports.engine.*"/>
 	<import value="java.util.*"/>
@@ -85,5 +85,5 @@
 				<reportElement x="398" y="34" width="340" height="12"/>
 				<textElement textAlignment="Center">
-					<font fontName="Serif"/>
+					<font fontName="Serif" size="8"/>
 				</textElement>
 				<textFieldExpression class="java.lang.String"><![CDATA["Section: "+$P{section}]]></textFieldExpression>
@@ -105,5 +105,5 @@
 						<jr:columnHeader style="table_CH" height="32" rowSpan="1">
 							<staticText>
-								<reportElement x="2" y="0" width="96" height="32"/>
+								<reportElement stretchType="RelativeToTallestObject" x="2" y="0" width="96" height="32" isPrintWhenDetailOverflows="true"/>
 								<textElement textAlignment="Center" verticalAlignment="Middle">
 									<font fontName="Serif" size="8"/>
@@ -112,7 +112,14 @@
 							</staticText>
 						</jr:columnHeader>
-						<jr:detailCell style="table_TD" height="36" rowSpan="1">
-							<textField isStretchWithOverflow="true">
-								<reportElement mode="Opaque" x="2" y="0" width="96" height="20" backcolor="#D2EFF7"/>
+						<jr:columnFooter height="2" rowSpan="1">
+							<staticText>
+								<reportElement x="0" y="0" width="100" height="2"/>
+								<textElement/>
+								<text><![CDATA[]]></text>
+							</staticText>
+						</jr:columnFooter>
+						<jr:detailCell style="table_TD" height="36" rowSpan="1">
+							<textField isStretchWithOverflow="true">
+								<reportElement positionType="Float" stretchType="RelativeToTallestObject" mode="Opaque" x="2" y="0" width="96" height="20" isPrintWhenDetailOverflows="true" backcolor="#D2EFF7"/>
 								<textElement textAlignment="Center" verticalAlignment="Middle">
 									<font fontName="Serif" size="10" isBold="true"/>
@@ -121,5 +128,5 @@
 							</textField>
 							<textField isStretchWithOverflow="true">
-								<reportElement x="2" y="20" width="96" height="15"/>
+								<reportElement positionType="Float" stretchType="RelativeToTallestObject" x="2" y="20" width="96" height="15" isPrintWhenDetailOverflows="true"/>
 								<textElement textAlignment="Center" verticalAlignment="Middle">
 									<font fontName="Serif" size="8"/>
@@ -132,5 +139,5 @@
 						<jr:columnHeader style="table_CH" height="32" rowSpan="1">
 							<staticText>
-								<reportElement x="2" y="0" width="86" height="32"/>
+								<reportElement stretchType="RelativeToTallestObject" x="2" y="0" width="86" height="32" isPrintWhenDetailOverflows="true"/>
 								<textElement textAlignment="Center" verticalAlignment="Middle">
 									<font fontName="Serif" size="8"/>
@@ -141,5 +148,5 @@
 						<jr:detailCell style="table_TD" height="36" rowSpan="1">
 							<textField isStretchWithOverflow="true">
-								<reportElement x="2" y="0" width="86" height="35"/>
+								<reportElement stretchType="RelativeToTallestObject" x="2" y="0" width="86" height="35" isPrintWhenDetailOverflows="true"/>
 								<textElement textAlignment="Center" verticalAlignment="Middle">
 									<font fontName="Serif" size="8"/>
@@ -152,5 +159,5 @@
 						<jr:columnHeader style="table_CH" height="32" rowSpan="1">
 							<staticText>
-								<reportElement x="2" y="0" width="71" height="32"/>
+								<reportElement stretchType="RelativeToTallestObject" x="2" y="0" width="71" height="32" isPrintWhenDetailOverflows="true"/>
 								<textElement textAlignment="Center" verticalAlignment="Middle">
 									<font fontName="Serif" size="8"/>
@@ -161,5 +168,5 @@
 						<jr:detailCell style="table_TD" height="36" rowSpan="1">
 							<textField isStretchWithOverflow="true">
-								<reportElement x="2" y="0" width="71" height="35"/>
+								<reportElement stretchType="RelativeToTallestObject" x="2" y="0" width="71" height="35" isPrintWhenDetailOverflows="true"/>
 								<textElement textAlignment="Center" verticalAlignment="Middle">
 									<font fontName="Serif" size="8"/>
@@ -172,5 +179,5 @@
 						<jr:columnHeader style="table_CH" height="32" rowSpan="1">
 							<staticText>
-								<reportElement x="2" y="16" width="68" height="16"/>
+								<reportElement stretchType="RelativeToTallestObject" x="2" y="16" width="68" height="16" isPrintWhenDetailOverflows="true"/>
 								<textElement textAlignment="Center" verticalAlignment="Middle">
 									<font fontName="Serif" size="8"/>
@@ -179,5 +186,5 @@
 							</staticText>
 							<staticText>
-								<reportElement x="2" y="0" width="68" height="15"/>
+								<reportElement stretchType="RelativeToTallestObject" x="2" y="0" width="68" height="15" isPrintWhenDetailOverflows="true"/>
 								<textElement textAlignment="Center" verticalAlignment="Middle">
 									<font fontName="Serif" size="8"/>
@@ -191,5 +198,5 @@
 						<jr:detailCell style="table_TD" height="36" rowSpan="1">
 							<textField isStretchWithOverflow="true">
-								<reportElement x="2" y="17" width="68" height="17"/>
+								<reportElement stretchType="RelativeToTallestObject" x="2" y="17" width="68" height="17" isPrintWhenDetailOverflows="true"/>
 								<textElement textAlignment="Center" verticalAlignment="Middle">
 									<font fontName="Serif" size="8"/>
@@ -198,5 +205,5 @@
 							</textField>
 							<textField isStretchWithOverflow="true">
-								<reportElement x="2" y="0" width="68" height="17"/>
+								<reportElement stretchType="RelativeToTallestObject" x="2" y="0" width="68" height="17" isPrintWhenDetailOverflows="true"/>
 								<textElement textAlignment="Center" verticalAlignment="Middle">
 									<font fontName="Serif" size="8"/>
@@ -212,5 +219,5 @@
 						<jr:columnHeader style="table_CH" height="32" rowSpan="1">
 							<staticText>
-								<reportElement x="2" y="0" width="59" height="32"/>
+								<reportElement stretchType="RelativeToTallestObject" x="2" y="0" width="59" height="32" isPrintWhenDetailOverflows="true"/>
 								<textElement textAlignment="Center" verticalAlignment="Middle">
 									<font fontName="Serif" size="8"/>
@@ -221,5 +228,5 @@
 						<jr:detailCell style="table_TD" height="36" rowSpan="1">
 							<textField isStretchWithOverflow="true">
-								<reportElement x="2" y="0" width="59" height="35"/>
+								<reportElement stretchType="RelativeToTallestObject" x="2" y="0" width="59" height="35" isPrintWhenDetailOverflows="true"/>
 								<textElement textAlignment="Center" verticalAlignment="Middle">
 									<font fontName="Serif" size="8"/>
@@ -232,5 +239,5 @@
 						<jr:columnHeader style="table_CH" height="32" rowSpan="1">
 							<staticText>
-								<reportElement x="2" y="0" width="56" height="32"/>
+								<reportElement stretchType="RelativeToTallestObject" x="2" y="0" width="56" height="32" isPrintWhenDetailOverflows="true"/>
 								<textElement textAlignment="Center" verticalAlignment="Middle">
 									<font fontName="Serif" size="8"/>
@@ -241,5 +248,5 @@
 						<jr:detailCell style="table_TD" height="36" rowSpan="1">
 							<textField isStretchWithOverflow="true">
-								<reportElement x="2" y="0" width="56" height="35"/>
+								<reportElement stretchType="RelativeToTallestObject" x="2" y="0" width="56" height="35" isPrintWhenDetailOverflows="true"/>
 								<textElement textAlignment="Center" verticalAlignment="Middle">
 									<font fontName="Serif" size="8"/>
@@ -252,5 +259,5 @@
 						<jr:columnHeader style="table_CH" height="32" rowSpan="1">
 							<staticText>
-								<reportElement x="2" y="0" width="56" height="32"/>
+								<reportElement stretchType="RelativeToTallestObject" x="2" y="0" width="56" height="32" isPrintWhenDetailOverflows="true"/>
 								<textElement textAlignment="Center" verticalAlignment="Middle">
 									<font fontName="Serif" size="8"/>
@@ -261,5 +268,5 @@
 						<jr:detailCell style="table_TD" height="36" rowSpan="1">
 							<textField isStretchWithOverflow="true">
-								<reportElement x="2" y="0" width="56" height="35"/>
+								<reportElement stretchType="RelativeToTallestObject" x="2" y="0" width="56" height="35" isPrintWhenDetailOverflows="true"/>
 								<textElement textAlignment="Center" verticalAlignment="Middle">
 									<font fontName="Serif" size="8"/>
@@ -272,5 +279,5 @@
 						<jr:columnHeader style="table_CH" height="32" rowSpan="1">
 							<staticText>
-								<reportElement x="2" y="0" width="71" height="32"/>
+								<reportElement stretchType="RelativeToTallestObject" x="2" y="0" width="71" height="32" isPrintWhenDetailOverflows="true"/>
 								<textElement textAlignment="Center" verticalAlignment="Middle">
 									<font fontName="Serif" size="8"/>
@@ -281,5 +288,5 @@
 						<jr:detailCell style="table_TD" height="36" rowSpan="1">
 							<textField isStretchWithOverflow="true">
-								<reportElement x="2" y="0" width="71" height="35"/>
+								<reportElement stretchType="RelativeToTallestObject" x="2" y="0" width="71" height="35" isPrintWhenDetailOverflows="true"/>
 								<textElement textAlignment="Center" verticalAlignment="Middle">
 									<font fontName="Serif" size="8"/>
@@ -292,5 +299,5 @@
 						<jr:columnHeader style="table_CH" height="32" rowSpan="1">
 							<staticText>
-								<reportElement x="2" y="0" width="66" height="32"/>
+								<reportElement stretchType="RelativeToTallestObject" x="2" y="0" width="66" height="32" isPrintWhenDetailOverflows="true"/>
 								<textElement textAlignment="Center" verticalAlignment="Middle">
 									<font fontName="Serif" size="8"/>
@@ -301,5 +308,5 @@
 						<jr:detailCell style="table_TD" height="36" rowSpan="1">
 							<textField isStretchWithOverflow="true">
-								<reportElement x="2" y="0" width="66" height="35"/>
+								<reportElement stretchType="RelativeToTallestObject" x="2" y="0" width="66" height="35" isPrintWhenDetailOverflows="true"/>
 								<textElement textAlignment="Center" verticalAlignment="Middle">
 									<font fontName="Serif" size="8"/>
@@ -312,5 +319,5 @@
 						<jr:columnHeader style="table_CH" height="32" rowSpan="1">
 							<staticText>
-								<reportElement x="2" y="0" width="56" height="32"/>
+								<reportElement stretchType="RelativeToTallestObject" x="2" y="0" width="56" height="32" isPrintWhenDetailOverflows="true"/>
 								<textElement textAlignment="Center" verticalAlignment="Middle">
 									<font fontName="Serif" size="8"/>
@@ -321,5 +328,5 @@
 						<jr:detailCell style="table_TD" height="36" rowSpan="1">
 							<textField isStretchWithOverflow="true">
-								<reportElement x="2" y="0" width="56" height="35"/>
+								<reportElement stretchType="RelativeToTallestObject" x="2" y="0" width="56" height="35" isPrintWhenDetailOverflows="true"/>
 								<textElement textAlignment="Center" verticalAlignment="Middle">
 									<font fontName="Serif" size="8"/>
@@ -332,5 +339,5 @@
 						<jr:columnHeader style="table_CH" height="32" rowSpan="1">
 							<staticText>
-								<reportElement x="2" y="0" width="66" height="32"/>
+								<reportElement stretchType="RelativeToTallestObject" x="2" y="0" width="66" height="32" isPrintWhenDetailOverflows="true"/>
 								<textElement textAlignment="Center" verticalAlignment="Middle">
 									<font fontName="Serif" size="8"/>
@@ -341,5 +348,5 @@
 						<jr:detailCell style="table_TD" height="36" rowSpan="1">
 							<textField isStretchWithOverflow="true">
-								<reportElement x="2" y="0" width="66" height="35"/>
+								<reportElement stretchType="RelativeToTallestObject" x="2" y="0" width="66" height="35" isPrintWhenDetailOverflows="true"/>
 								<textElement textAlignment="Center" verticalAlignment="Middle">
 									<font fontName="Serif" size="8"/>